//Задаем путь к точкам обмена сообщениями 
function [messages,err]=AskCommandFromFile(quesion,..//Запрос
                                           CommandFilePointName..//Точка обмена сообщениями
                                           )
    //Проверяем число аргументов
    if argn(2) < 2 then
        error('Function AskCommandFromFile takes 2 arguments');
    end
    
    //Проверяем аргумент
    if (type(quesion) ~= 10) ||..
       (size(quesion,'*') > 1) then
        error('The argument quesion of function AskCommandFromFile must be scalar string');
    end
    if (type(CommandFilePointName) ~= 10) ||..
       (size(CommandFilePointName,'*') > 1) then
        error('The argument MessageFilePointName of function AskCommandFromFile must be scalar string');
    end
    
    //Отправляем запрос
    err = DispCommandToFile(CurrentDateAndTime() + quesion + '\a',CommandFilePointName);
    
    //Ждем ответа
    [messages,..
     pathToMessagePoint] = ReadMessageFromPointFile(CommandFilePointName,..
                                                    'Answer.ans',%t);
                                        
    //Удаляем при необходимости файл вопросов
    fullQuencionFileName = fullfile(pathToMessagePoint,'Quencion.ask');
    if ~deletefile(fullQuencionFileName) then
        err = 2;
        error('Cannot deleting question file');
    end
endfunction

//Функция текущей даты и времени в строковом формате
function [sDateAndTime]=CurrentDateAndTime()
    sDateAndTime = datevec(now());//Текущая дата и время
    sDateAndTime = strcat(string(sDateAndTime),',') + ':';//Переводим в строковый формат
endfunction
